There's An AI For That task
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-theresanaiforthat-tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"task": "video-editing"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-theresanaiforthat-tasks"
payload = { "task": "video-editing" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({task: 'video-editing'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-theresanaiforthat-tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "theresanaiforthat_tasks",
"task": "video-editing",
"task_id": "video-editing",
"human": "# There's An AI For That — task\n\n- **Id:** video-editing\n- **Pages opened:** 1\n- **Proxy traffic:** 2.21 MB\n- **Name:** Video editing\n- **Description:** There are 122 AI tools and 6 GPTs for Video editing.\n- **Tools:** 122\n- **Subscribers:** 329688\n- **Models:** 38",
"machine": {
"task": {
"id": "video-editing",
"alias": "video-editing",
"task_id": "30",
"name": "Video editing",
"url": "https://theresanaiforthat.com/task/video-editing/",
"short_url": "taaft.com/video-editing",
"description": "There are 122 AI tools and 6 GPTs for Video editing.",
"subscribers": 329688,
"tools_count": 122,
"models_count": 38,
"robots_count": 1,
"devices_count": 7,
"repositories_count": 39,
"discussion_count": 108,
"tools_by_type": [
{
"type": "all",
"count": 122
},
{
"type": "gpt",
"count": 6
}
],
"most_popular_tool": {
"name": "CapCut Online Creative Suite",
"url": "https://theresanaiforthat.com/ai/capcut-online-creative-suite/"
},
"subtasks": [
{
"name": "Video enhancement",
"slug": "video-enhancement",
"url": "https://theresanaiforthat.com/task/video-enhancement/",
"tools_count": 16
},
{
"name": "Video upscaling",
"slug": "video-upscaling",
"url": "https://theresanaiforthat.com/task/video-upscaling/",
"tools_count": 8
}
],
"related_tasks": [
{
"name": "Image editing",
"slug": "image-editing",
"url": "https://theresanaiforthat.com/task/image-editing/",
"tools_count": 400
},
{
"name": "Music editing",
"slug": "music-editing",
"url": "https://theresanaiforthat.com/task/music-editing/",
"tools_count": 9
}
],
"top_tools": [
{
"id": "movie-maker-edit-pro",
"name": "Movie Maker Edit",
"url": "https://theresanaiforthat.com/ai/movie-maker-edit-pro/",
"alias": "movie-maker-edit-pro",
"type": "ai",
"tool_id": "366012",
"short_description": "Turn short AI-generated clips into Ads, TV Shows, and Movies in Minutes",
"task": "Video editing",
"task_slug": "video-editing",
"version": "7.4",
"verified": true,
"website": "moviemakeredit.iacolettisoftware.com",
"country": "United States",
"released": "Released 27d ago",
"price": "100% Free",
"views": 19971,
"saves": 25,
"rating": 4.3,
"usp": "Free Web Version - API token costs only",
"top_comment": null
},
{
"id": "higgsfield-genjutsu",
"name": "Higgsfield Genjutsu",
"url": "https://theresanaiforthat.com/ai/higgsfield-genjutsu/",
"alias": "higgsfield-genjutsu",
"type": "ai",
"tool_id": "381016",
"short_description": "Recast any video's characters, locations, or objects, keep the motion",
"task": "Video editing",
"task_slug": "video-editing",
"version": "1",
"verified": false,
"website": "higgsfield.ai",
"country": "United States",
"released": "29d ago",
"price": "Free + from $19.00/mo",
"views": 4926,
"saves": 7,
"rating": 2.6,
"usp": "Recast any video, keep its exact motion",
"top_comment": null
}
]
},
"blocked": false,
"pages_opened": 1,
"proxy_traffic_bytes": 2312519
},
"total_points": 5
}Startup & Funding Data
There's An AI For That task
Get one task (category) from There’s An AI For That by slug or URL: number of tools, models, robots and devices, subscribers, most popular tool, subtasks, related tasks and the top tools. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-theresanaiforthat-tasks
There's An AI For That task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Task slug or There's An AI For That URL. e.g. video-editing
Response
Run completed.